VERSION=1.0.1
DATE=24 Feb 2017
PERIOD=2016,2017

ARCH=UNSUPPORTED

ifeq ($(shell arch), x86_64)
  TARGET=X86_64
  TARGET_CFLAGS=
  ARCH=SUPPORTED
endif

ifeq ($(shell arch), i686)
  TARGET=X86
  TARGET_CFLAGS=
  ARCH=SUPPORTED
endif

ifeq ($(shell /bin/ls /usr/include/crash/defs.h 2>/dev/null), /usr/include/crash/defs.h)
  INCDIR=/usr/include/crash
endif
ifeq ($(shell /bin/ls ./defs.h 2> /dev/null), ./defs.h)
  INCDIR=.
endif
ifeq ($(shell /bin/ls ../defs.h 2> /dev/null), ../defs.h)
  INCDIR=..
endif

DUMPAUDIT_CFILES = dumpaudit.c

DUMPAUDIT_OFILES = $(patsubst %.c,%.o,$(DUMPAUDIT_CFILES))

COMMON_CFLAGS=-Wall -I$(INCDIR) -fPIC -D$(TARGET) \
	-DVERSION='"$(VERSION)"' -DRELEASE_DATE='"$(DATE)"' \
	-DPERIOD='"$(PERIOD)"'

all: dumpaudit.so

dumpaudit.so: $(DUMPAUDIT_OFILES) $(INCDIR)/defs.h
	gcc $(RPM_OPT_FLAGS) $(CFLAGS) $(TARGET_CFLAGS) $(COMMON_CFLAGS) -nostartfiles -shared -rdynamic -o $@ $<

%.o: %.c $(INCDIR)/defs.h
	gcc $(RPM_OPT_FLAGS) $(CFLAGS) $(TARGET_CFLAGS) $(COMMON_CFLAGS) -c -o $@ $<

cleanup: clean
	rm -f dumpaudit.so

clean:
	rm -f $(DUMPAUDIT_OFILES) *~
